QGIS Application - Bug report #15489
Moving labels doesn't work when using virtual fields
2016-08-25 03:08 AM - Jérdme Guélat

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.16.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23413
Description

Steps to reproduce the bug (the same workflow is working when using normal fields):

1. Create 2 new virtual fields (for example xlab and ylab)

2. Fill them with NULL

3. Use the 2 new fields in the data defined placement properties of the labeling options
4. Start editing and try to move a label using the "Move label and diagram tool"

It would be very nice to use virtual fields since label placement is very often project specific. It is not very elegant to create many new
fields if the same data is used in different projects.

History

#1 - 2016-08-25 04:07 AM - Nyall Dawson

Virtual fields don't work that way - they aren't editable, just a read only evaluated value.

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-06-12 03:00 PM - Jérome Guélat
- Status changed from Open to Closed

This is now possible using auxiliary storage in QGIS 3
